Random letters
Most popular
Newest
Latest
I will destroy myself. I will be friends with Shehnur. I will play the new game \'Kill yourself\'. I will marry Shefko with Aneta. I will become the president of the USA. I will watch \'The walking...

Read full letter

murag confession nga dli HAHAHAHA???? hi vannnn hipe you sill remember that i have something to tell you 2 years from now March 22, 2026. chaka english oi HAHAHHAHAHHAHAHHA bala ka kong wrong...

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

Ryan, I am typing this on december 9th 2015 and we are doing great. we have had our ups and our downs but we have made it through it all. I know we probably have had some tough time since this...

Read full letter

Hola Nicolas, espero que las cosas hayn cambiado en tu vida. Que hayas vuelto a creer en el amor. Que estes haciendo lo que queres hacer. Que hayas dejado esa mierda que te anula. Que llores un...

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter